Update an existing Global Unit
PUT/qsystem/rest/config/globalUnits/:globalUnitId
Update an existing Global Unit. Use the response from a GET request as a template for the payload in the example.
curl -u user:password -i -X PUT -H 'content-type:application/json' -d '{...}' http://orchestra-host:orchestra-port/qsystem/rest/config/globalUnits/{globalUnitId}
Only the following fields can be changed:
-
The unit name
-
The unit description
-
The value field of each parameter
Parameters cannot be deleted using this request. If parameters are removed from the request body they will not be deleted.
You can update an existing global unit with a minimal json struct looking something like this, all other values will be preserved:
{"id": 1, "name": "New name", "description": "New description", "parameters": [ {"id": "bandwidthLimit", "value": "2000" }] }
Request
Responses
- 204
The modified GlobalUnit